TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

RationalReconstruction ( elt-mdl^mat X ) -> elt-mdl^mat

### Description

<shortdoc> Given a matrix X over a prime finite field K, return true and the matrix over Q obtained from X by rational reconstruction of each of its entries if possible; return false otherwise. </shortdoc>

### Examples

x_F:=FiniteField(5); x_M :=Matrix(x_F, 2, 3, [x_F.1^15, x_F.1^20, x_F.1^10, x_F.1^20, x_F.1^15, x_F.1^15 ]); RationalReconstruction(x_M);

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack